<template>
  <div id="box">
    <div class="bg-color-black">
      <div class="d-flex pt-2 pl-2">
        <span>
          <icon name="chart-line" class="text-icon"></icon>
        </span>
        <div class="d-flex">
          <span class="fs-xl text mx-2">生产计划</span>
        </div>
      </div>
      <div class="d-flex jc-center body-box">
        <dv-scroll-board class="dv-scr-board" :config="config" />
      </div>
    </div>
  </div>
</template>
  
  <script>
import axios from "@/api/ajax.js";
export default {
  data() {
    return {
      config: {
        header: [
          "物料编码",
          "物料名称",
          "需求数量",
          "开始时间",
          "结束时间",
        ], //头部
        data: [
          [
            // "TX0101092",
            // "0101092齿轮箱弹性支撑总成",
            // "40",
            // "2024/3/19",
            // "2024/3/30",
          ],
        ], //填充数据
        rowNum: 6, //表格行数
        waitTime: 10000, //轮播时间
        // headerHeight: 30,
        // headerBGC: "#002B46", //表头
        // oddRowBGC: "#002B46", //奇数行
        // evenRowBGC: "#042B53", //偶数行
        // index: true,
        columnWidth: [100, 220, 80, 115, 115],
        align: ["center"],
      },
    };
  },
  mounted() {
    this.GetProductionPlan();
    setInterval(() => {
      this.GetProductionPlan();
    }, 1000);
  },
  methods: {
    GetProductionPlan() {
      axios.post("/api/dt_planinfo/GetProductionPlan", null, "").then((res) => {
        if (res.data.status) {
          var data = res.data.data;
          var arr = []; //存储需要的数据
          this.config.data = []; //清空原数据
          var that = this;
          for (let index = 0; index < data.length; index++) {
            arr.push(data[index].plan_matcode); //物料编号
            arr.push(data[index].plan_matdes); //物料名称
            arr.push(data[index].plan_requirednum); //需求数量
            arr.push(data[index].plan_starttime); //计划开始时间
            arr.push(data[index].plan_endtime); //计划结束时间
            that.config.data.push(arr);
            arr = []; //清空
          }
          this.config = {
            header: [
              "物料编码",
              "物料名称",
              "需求数量",
              "开始时间",
              "结束时间",
            ], //头部
            data: that.config.data, //填充数据
            rowNum: 6, //表格行数
            waitTime: 10000, //轮播时间
            columnWidth: [100, 220, 80, 115, 115],
            align: ["center"],
          };
        }
      });
    },
  },
};
</script>
  <style lang="scss" scoped>
$box-height: 420px;
$box-width: 660px;
#box {
  padding: 16px;
  padding-top: 10px;
  height: $box-height;
  width: $box-width;
  border-radius: 5px;
  .bg-color-black {
    height: $box-height - 30px;
    border-radius: 10px;
  }
  .text {
    color: #ffffff;
    font-size: 12pt;
  }
  .body-box {
    border-radius: 10px;
    overflow: hidden;
    .dv-scr-board {
      width: 650px;
      height: 355px;
    }
  }
}
</style>